<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.10 (2013/03/20)
 * Compatibility : Guppy v4.6.20+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */
if (stristr($_SERVER["SCRIPT_NAME"], "redac_files.inc")) {
	header("location:../index.php");
	die();
}
define("CHEMIN", "../");
$lng  = strip_tags($lng);
$pg   = strip_tags($pg);
$plug = strip_tags($plug);
include(CHEMIN."plugins/adm_redacteurs/lang/".$lng."-adm_redacteurs.inc");		
include(CHEMIN."inc/hpage.inc");

//Dclaration et protection des variables
$pseudo = isset($_GET['pseudo']) ? $_GET['pseudo'] : NULL; 
$pseudo = strip_tags($pseudo);
$qtype = isset($_POST['qtype']) ? $_POST['qtype'] : (isset($_GET['qtype']) ? $_GET['qtype'] : NULL); 
$qtype = strip_tags($qtype);
$act = isset($_GET['act']) ? $_GET['act'] : NULL; 
$act = strip_tags($act);
$id = isset($_POST['id']) ? $_POST['id'] : (isset($_GET['id']) ? $_GET['id'] : NULL); 
$id = strip_tags($id);
$mod = isset($_POST['mod']) ? $_POST['mod'] : (isset($_GET['mod']) ? $_GET['mod'] : NULL);   
$mod = strip_tags($mod);     
$file = 0;

// On rcupre la config du rdacteur
include(REP_REDAC.$pseudo.DBEXT);

//On rcupre la config du Groupe Rdacteur si le rdacteur appartient  un Groupe Rdacteur
if(isset($redacprefs['rgroupseudo']) && $redacprefs['rgroupseudo'] != '' &&  file_exists(REP_REDAC.'grp_'.$redacprefs['rgroupseudo'].INCEXT)) {
  include(REP_REDAC.'grp_'.$redacprefs['rgroupseudo'].INCEXT);
} 

/// FORK AjouteMenu : INCLUDE
$mnu_include = false;
if (is_dir(CHEMIN."plugins/ajoutemenu") && $redacprefs['ajoutemenu'] == 'ajoutemenu') {
	include_once(CHEMIN."plugins/ajoutemenu/inc/data_func.inc");
	include_once(CHEMIN."plugins/ajoutemenu/lang/".$lng."-adm.inc");
	$mnu_include = true;
}
/// Fin FORK AjouteMenu : INCLUDE


//Vrification de l'existence du fichier doc du rdacteur
if (file_exists(REP_DOC."doc_".$redacprefs['rpseudo'].DBEXT)) { //on teste pour voir si le fichier existe 
	$docidredac = REP_DOC."doc_".$redacprefs['rpseudo'].DBEXT; // on rcupre le fichier doc du rdacteur
	$doc_items_redac = ReadDBFields($docidredac);
	if (count($doc_items_redac) != 0) {
		//Comparaison entre fichier doc de l'admin et fichier doc du rdacteur et correction si ncessaire      
		$doc_items_admin = ReadDBFields($docid);
		for ($i=0; $i < count($doc_items_redac); $i++) {
			for ($j=0; $j < count($doc_items_admin); $j++) {
				if ($doc_items_admin[$j][1]== $doc_items_redac[$i][1]){
					$doc_items_redac[$i]= $doc_items_admin[$j];
				}
			}			
		}	
		WriteDBFields($docidredac, $doc_items_redac); 
		//on enlve les fichiers supprims depuis l'admin de guppy
		$DBF = SelectDBFieldsByNotStatus(ReadDBFields($docidredac), "d");
		WriteDBFields($docidredac, $DBF);	
		$filesredac = ReadDBFields($docidredac);
	}
	include(CHEMIN."plugins/adm_redacteurs/inc/functionredac".INCEXT);
} else {
	$file = 1;
}

//activation ou dsactivation du fichier du rdacteur
if ($act == "a" || $act == "i") {
	/// FORK AjouteMenu : STATUS
	if ($mnu_include && $qtype == TYP_ART) {
		// modifier le statut de l'item de menu associ  $id si besoin
	 	ReadDoc(DBBASE.$id);
		list($mnu_code, $mnu_id, $mnu_item) = explode(".", $fieldd1);
		if (($mnu_id !== "") && !empty($mnu_item)) {
			AM_ReadMenu($mnu_item, $mnu_id, "mnu_");
			$mnu_status = $act;
			AM_ModifyMenu($mnu_item, $mnu_id, "mnu_");
			//modif redacteur
			$mnu_menu_file   = CHEMIN."plugins/adm_redacteurs/data/plugins/ajoutemenu/".$redacprefs['rpseudo']."_menu%d.dtb";
			AM_ModifyMenu($mnu_item, $mnu_id, "mnu_");
			$mnu_menu_file   = CHEMIN."data/plugins/ajoutemenu/menu%d.dtb";
			// fin modif redacteur
		}
	}
	/// Fin FORK AjouteMenu : STATUS
	$data[0] = $qtype;
	$data[1] = $id;
	$data[2] = $act;
	$data[3] = "";
	$data[4] = "";
	$data[5] = "";
	$data[6] = "";
	$data[7] = "";
	$data[8] = "";
	$data[9] = "";
	$data[10] = "";
	$data[11] = "";
	$data[12] = "";
	$data[13] = "";
	$data[14] = "";
    $data[16] = ""; /// added with groups
    $data[17] = ""; /// added with groups
	ActionOnFields("act",$data);   //modification du statut du fichier dans le fichier doc de guppy
	ActionOnFields2("act",$data);  //modification du statut du fichier dans le fichier doc du rdacteur
}

//modification du fichier du rdacteur
if ($mod == 1) {
	//Rcupration des variables
	$cat1 = $_POST['cat1'];
	$cat2 = $_POST['cat2'];
	$titre1 = $_POST['titre1'];
	$titre2 = $_POST['titre2'];
	$contenu1 = $_POST['contenu1'];
	$contenu2 = $_POST['contenu2'];
	$nouveau1 = $_POST['nouveau1'];
	$nouveau2 = $_POST['nouveau2'];
	$fieldc1 = $_POST['fieldc1'];
	$fieldc2 = $_POST['fieldc2'];
    $fieldmail = ""; /// added with groups
    $fieldmod = $_POST['fieldmod']; /// added with groups
	
  	/// FORK AjouteMenu : MODIF
  	$mnu_actif = FALSE;
  	if ($mnu_include && $qtype == TYP_ART) {
    	$mnu_id = strip_tags($mnu_id);
    	$mnu_item = strip_tags($mnu_item);
    	if ($mnu_id === "") {
      		if (is_numeric($nouveau1)) {
        	/// Cas left/right => Menu I
        		$mnu_id = $nouveau1;
        		if ((is_numeric($mnu_id) && ($mnu_id >= 0) && ($mnu_id < 20))) {
          			$mnu_actif = TRUE;
          			$mnu_item = AM_GetNextID($mnu_id);
          			$nouveau1 = "am.".$mnu_id.".".$mnu_item;
          			$mnu_categ1 = $cat1;
          			$mnu_categ2 = $cat2;
          			$mnu_titre1 = $titre1;
          			$mnu_titre2 = $titre2;
          			$titre1 = strip_tags($cat1.' - '.$titre1);
          			$titre2 = strip_tags($cat2.' - '.$titre2);
          			$cat1 = "";
          			$cat2 = "";
          			$mnu_status = "a";
          			$mnu_url1 = "articles.php?lng=".$lang[0]."&pg=";
          			$mnu_url2 = "articles.php?lng=".$lang[1]."&pg=";
          			$mnu_win_blank = "";
        		}
      		}
    	} else {
      		if (is_numeric($nouveau1)) {
        		if ($nouveau1 === $mnu_id) {
          			/// Cas Menu I => Menu I
					AM_ReadMenu($mnu_item, $mnu_id, "mnu_");
				  	$nouveau1 = "am.".$mnu_id.".".$mnu_item;
				  	$mnu_categ1 = $cat1;
				  	$mnu_categ2 = $cat2;
				  	$mnu_titre1 = $titre1;
				  	$mnu_titre2 = $titre2;
				  	$titre1 = strip_tags($cat1.' - '.$titre1);
				  	$titre2 = strip_tags($cat2.' - '.$titre2);
				  	$cat1 = "";
				  	$cat2 = "";
				  	AM_ModifyMenu($mnu_item, $mnu_id, "mnu_");
					//modif redacteur
		    		$mnu_menu_file   = CHEMIN."plugins/adm_redacteurs/data/plugins/ajoutemenu/".$redacprefs['rpseudo']."_menu%d.dtb";					
				  	AM_ModifyMenu($mnu_item, $mnu_id, "mnu_");
            		$mnu_menu_file   = CHEMIN."data/plugins/ajoutemenu/menu%d.dtb";
					// fin modif redacteur
        		} else {
				  	/// Cas Menu I => Menu J
				  	AM_ReadMenu($mnu_item, $mnu_id, "mnu_");
				  	$mnu_status = "d";
				  	AM_ModifyMenu($mnu_item, $mnu_id, "mnu_");
//modif redacteur
		    		AM_Delete($mnu_id, $mnu_item);
    	    		$mnu_menu_file   = CHEMIN."plugins/adm_redacteurs/data/plugins/ajoutemenu/".$redacprefs['rpseudo']."_menu%d.dtb";
				  	AM_ModifyMenu($mnu_item, $mnu_id, "mnu_");
                    AM_FullDelete($mnu_id);
            		$mnu_menu_file   = CHEMIN."data/plugins/ajoutemenu/menu%d.dtb";
// fin modif redacteur
				  	/// Creation
				  	$mnu_id = $nouveau1;
				  	$mnu_item = AM_GetNextID($mnu_id);
				  	$nouveau1 = "am.".$mnu_id.".".$mnu_item;
				  	$mnu_categ1 = $cat1;
				  	$mnu_categ2 = $cat2;
				  	$mnu_titre1 = $titre1;
				  	$mnu_titre2 = $titre2;
				  	$titre1 = strip_tags($cat1.' - '.$titre1);
				  	$titre2 = strip_tags($cat2.' - '.$titre2);
				  	$cat1 = "";
				  	$cat2 = "";
				  	$mnu_status = "a";
				  	AM_CreateMenu($mnu_item, $mnu_id, "mnu_");
					//modif redacteur
		    		$mnu_menu_file   = CHEMIN."plugins/adm_redacteurs/data/plugins/ajoutemenu/".$redacprefs['rpseudo']."_menu%d.dtb";
				  	AM_CreateMenu($mnu_item, $mnu_id, "mnu_");
            		$mnu_menu_file   = CHEMIN."data/plugins/ajoutemenu/menu%d.dtb";
					// fin modif redacteur
				  	AM_IncrNextID($mnu_id);
				}
      		} else {
        		/// Cas Menu I => left/right
        		AM_ReadMenu($mnu_item, $mnu_id, "mnu_");
        		$mnu_status = "d";
        		AM_ModifyMenu($mnu_item, $mnu_id, "mnu_");
//modif redacteur
		    	AM_Delete($mnu_id, $mnu_item);
		    	$mnu_menu_file   = CHEMIN."plugins/adm_redacteurs/data/plugins/ajoutemenu/".$redacprefs['rpseudo']."_menu%d.dtb";
        		AM_ModifyMenu($mnu_item, $mnu_id, "mnu_");
                AM_FullDelete($mnu_id);
            	$mnu_menu_file   = CHEMIN."data/plugins/ajoutemenu/menu%d.dtb";
// fin modif redacteur				
        		if (empty($cat1)) $cat1 = $mnu_categ1;
        		if (empty($cat2)) $cat2 = $mnu_categ2;
      		}
    	}
  	}
	/// Fin FORK AjouteMenu : MODIF
	
	//Modification du fichier 
	$data[0] = $qtype;
	$data[1] = $id;
	$data[2] = "";
	$data[3] = "";
	$data[4] = "";
	$data[5] = $pseudo;
	$data[6] = $user[1];
	$data[7] = $cat1;
	$data[8] = $cat2;
	$data[9] = $titre1;
	$data[10] = $titre2;
	$data[11] = $contenu1;
	$data[12] = $contenu2;
	$data[13] = $nouveau1;
	$data[14] = $nouveau2;
    $data[16] = $fieldmail; /// added with groups
    $data[17] = $fieldmod; /// added with groups
//	ActionOnFields("mod",$data);   //modification du statut du fichier dans le fichier doc de guppy

/// FORK AjouteMenu : CREATE 3
  	$mnu_id_art = ActionOnFields("mod", $data);
  	if ($mnu_actif) {
    	// crer l'item de menu associ  ce nouveau article si besoin
    	$mnu_url1 .= $mnu_id_art;
    	$mnu_url2 .= $mnu_id_art;
    	AM_CreateMenu($mnu_item, $mnu_id, "mnu_");
//modif redacteur
		$mnu_menu_file   = CHEMIN."plugins/adm_redacteurs/data/plugins/ajoutemenu/".$redacprefs['rpseudo']."_menu%d.dtb";
    	AM_CreateMenu($mnu_item, $mnu_id, "mnu_");
        $mnu_menu_file   = CHEMIN."data/plugins/ajoutemenu/menu%d.dtb";
// fin modif redacteur	
    	AM_IncrNextID($mnu_id);
  	}
/// Fin FORK AjouteMenu : CREATE 3

	ActionOnFields2("mod",$data);  //modification du statut du fichier dans le fichier doc du rdacteur
}
      
htable($redac38.$redacprefs['rpseudo'], "100%");	
?>
<div style="text-align:center;margin-bottom:10px;"><?php echo $redac58; ?></div>
<div style="text-align:center;margin:10px 20px;"><?php echo $redac59; ?></div>
<hr>
<div align="center"><a href="admin.php?lng=<?php echo $lng; ?>&#38;pg=plugin&#38;plug=adm_redacteurs/inc/adminredac"><?php echo $redac19; ?></a> || <a href="admin.php?lng=<?php echo $lng; ?>"><?php echo $admin22; ?></a> || <strong><a href="admin.php?lng=<?php echo $lng; ?>&#38;logout=1"><?php echo $admin19; ?></a></strong></div>
<hr><br>
<p align="center">
<a href="admin.php?lng=<?php echo $lng; ?>&#38;pg=plugin&#38;plug=adm_redacteurs/inc/adminredac"><?php echo $redac3; ?></a>
|| <a href="admin.php?lng=<?php echo $lng; ?>&#38;pg=plugin&#38;plug=adm_redacteurs/inc/redac_register&#38;grpredac=no"><?php echo $redac4; ?></a>
|| <a href="admin.php?lng=<?php echo $lng; ?>&#38;pg=plugin&#38;plug=adm_redacteurs/inc/redac_register&#38;grpredac=yes"><?php echo $redac143; ?></a>
 </p>
<br>
<?php
switch($file) {	
   case "0" :         
          RecupFileRedac("ar",$redac39);    // Rcupration des articles rdigs par le rdacteur                       
          RecupFileRedac("ne",$redac40);    // Rcupration des news rdiges par le rdacteur         
          RecupFileRedac("ph",$redac41);    // Rcupration  des photos ajoutes par le rdacteur		             
          RecupFileRedac("ba",$redac46);    // Rcupration  des bannires ajoutes par le rdacteur           
          RecupFileRedac("li",$redac42);    // Rcupration  des liens ajouts par le rdacteur            
          RecupFileRedac("ci",$redac43);    // Rcupration  des citations ajoutes par le rdacteur            
          RecupFileRedac("fa",$redac44);    // Rcupration  des Faq ajoutes par le rdacteur
          RecupFileRedac("dn",$redac126);   // Rcupration  des tlchargements ajouts par le rdacteur
          RecupFileRedac("ag",$redac116);   // Rcupration  des vnements ajouts dans l'agenda par le rdacteur
          RecupFileRedac("bl",$redac182);   // Rcupration  des billets du blog rdigs par le rdacteur

		  		  
          //Vrification de l'existence du fichier du plugin diaporama du rdacteur
          if (file_exists(REP_DOC_PLUGIN."diaporama/liste_".$redacprefs['rpseudo'].DBEXT)) { //on teste pour voir si le fichier existe 
              $diapo_liste_rfile = REP_DOC_PLUGIN."diaporama/liste_".$redacprefs['rpseudo'].DBEXT; 
              RecupPluginFileRedac('diapo',$diapo_liste_rfile,$redac83);     // on rcupre le fichier du plugin diaporama du rdacteur              
          }
          //Vrification de l'existence du fichier du plugin ajoutemenu du rdacteur
          $dir_ajtmnu = opendir(REP_DOC_PLUGIN."ajoutemenu");
          while ($file_ajtmnu = readdir($dir_ajtmnu)) {
              if(strstr($file_ajtmnu,$redacprefs['rpseudo']) != ""){  //on teste pour voir si fichier existe            	  
                  $ajtmenu_liste_file = REP_DOC_PLUGIN."ajoutemenu/".$file_ajtmnu;
                  $nmenu = substr($file_ajtmnu,-5,1);
                  $titlemenu = 'Extra Menu '.$nmenu; 
                  RecupPluginFileRedac('ajoutemenu',$ajtmenu_liste_file,$titlemenu);     // on rcupre le fichier du plugin ajoutemenu du rdacteur              
	            }
          }
          closedir($dir_ajtmnu); 
          //Vrification de l'existence du fichier du plugin sample du rdacteur
          if (file_exists(REP_DOC_PLUGIN."sample/liste_".$redacprefs['rpseudo'].DBEXT)) { //on teste pour voir si le fichier existe 
              $sample_liste_rfile = REP_DOC_PLUGIN."sample/liste_".$redacprefs['rpseudo'].DBEXT; 
              RecupPluginFileRedac('sample',$sample_liste_rfile,$redac102);     // on rcupre le fichier du plugin diaporama du rdacteur              
          }
          //Vrification de l'existence du fichier du plugin ajoutefreebox du rdacteur
	      if ( isset($redacprefs['ajoutefreebox']) && $redacprefs['ajoutefreebox'] == "ajoutefreebox" && $redacprefs['num_ajoutefreebox'] != "") {
		      $num_ajoutefreebox = explode(";" ,$redacprefs['num_ajoutefreebox']);
			  @sort($num_ajoutefreebox);
              echo '<div style="text-align:center;font-weight:bold;text-decoration:underline;margin:15px;">Extra Free Box</div>';	
	          echo "<table cellpadding=\"4\" cellspacing=\"1\" width=\"90%\" align=\"center\">";
	          echo "<tr class=\"forum\">";
	          echo '<td>'.$admin678.'</td><td style="width:100%;">'.$redac82.'</td><td>'.$admin680.'</td></tr>';	
			  $m = 0;		          
			  for($i=0; $i<count($num_ajoutefreebox); $i++) {
			      if (file_exists(CHEMIN.'data/plugins/ajoutefreebox/config'.$num_ajoutefreebox[$i].'.inc')) {
			          include(CHEMIN.'data/plugins/ajoutefreebox/config'.$num_ajoutefreebox[$i].'.inc');
				      $n = $m/2;
	                  if (is_integer($n)) {
			              echo '<tr class="rep">';
			          }else {
			              echo '<tr class="quest">';
			          }
				      echo '<td style="text-align:center;">'.$num_ajoutefreebox[$i].'</td>';
				      if ($lng == $lang[0]) {   
                          echo '<td style="text-align:left;">'.$freetitle1.'</td>';
				      } else {
				          echo '<td style="text-align:left;">'.$freetitle2.'</td>';
				      }
                      echo '<td style="text-align:center;"><a href="admin.php?lng='.$lng.'&pg=plugin&plug=ajoutefreebox/inc/admin'.$num_ajoutefreebox[$i].'"><img src="'.CHEMIN.'admin/plugins/adm_redacteurs/inc/img/freebox.gif" border=0 alt="'.$redac84.'" title="'.$redac84.'" style="vertical-align:middle;"></a></td>';
		              echo "</tr>";
					  $m++;
			      }
			  }
              echo "</table>";
		  }
		  	  
	      //Vrification de l'existence du fichier du plugin openfiches et rcupration des fiches
	      if ( isset($redacprefs['openfiches']) && $redacprefs['openfiches'] == "openfiches") {
		  
              $listfiches = ReadDBFields(CHEMIN."plugins/openfiches/data/listcat.inc");
	          @sort($listfiches);
              echo "<div style=\"text-align:center;font-weight:bold;text-decoration:underline;margin:15px;\">".$redac95."</div>";	
	          echo "<table cellpadding=\"4\" cellspacing=\"1\" width=\"90%\" align=\"center\">";
	          echo "<tr class=\"forum\">";
	          echo '<td>'.$admin678.'</td><td style="width:50%;">'.$redac81.'</td><td style="width:50%;">'.$redac82.'</td><td>'.$admin680.'</td></tr>';

	          $j = 0;
              for ($i = 0; $i < count($listfiches); $i++) {
		          if ( $listfiches[$i][0] != "" || $listfiches[$i][1] != "") {             
                      if ($lng == $lang[0]) { 
                          RecupPluginOpenfiches(0);
				      }
                      if ($lng == $lang[1]) { 
				          RecupPluginOpenfiches(1);
		              }
                      $j++;
			      }			
              }
              echo "</table>";
	      }		  
	      //Vrification de l'existence du fichier du plugin quiz
          if (file_exists(REP_DOC_PLUGIN."quiz/quiz_".$redacprefs['rpseudo'].DBEXT)) { //on teste pour voir si le fichier existe 
            $quiz_liste_rfile = REP_DOC_PLUGIN."quiz/quiz_".$redacprefs['rpseudo'].DBEXT; 
            
            $dbwork_quiz = synchronize_quizz_DB(CHEMIN.'plugins/quiz/data/quiz.dtb', $quiz_liste_rfile);
            WriteDBFields($quiz_liste_rfile, $dbwork_quiz);

              if (!empty($dbwork_quiz)) {
                  RecupPluginFileRedac('quiz',$quiz_liste_rfile,$redac156);     // on rcupre le fichier du plugin quizz du rdacteur                
              } else {
                @unlink($quiz_liste_rfile);
              }
          }
  	         
          break;
		  
   case "1" :   
          echo '<p align="center">'.$redac50.$redacprefs['rpseudo'].$redac51.'</p>';
          break;
	
   case "2" :   
          echo '<p align="center">'.$redac25.'</p>';
          break;
	  	  
   default :  
          echo '<p align="center">'.$redac60.'</p>';
}
?>
<br><hr>
<div align="center"><a href="admin.php?lng=<?php echo $lng; ?>&#38;pg=plugin&#38;plug=adm_redacteurs/inc/adminredac"><?php echo $redac19; ?></a> || <a href="admin.php?lng=<?php echo $lng; ?>"><?php echo $admin22; ?></a> || <strong><a href="admin.php?lng=<?php echo $lng; ?>&#38;logout=1"><?php echo $admin19; ?></a></strong></div>
<?php
btable();
include(CHEMIN."inc/bpage.inc");
?>